Subject: Re: bug#76705: 31.0.50; igc: crash

From: Eli Zaretskii <[email-masked]>
Date: Mon, 03 Mar 2025 18:21:14 +0200

> Cc: [email-masked]
> Date: Mon, 03 Mar 2025 15:36:09 +0000
> From:  Pip Cet via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> > #7  0x0000556e0edd0c10 in shieldFlushEntries ()
> 
> So it seems that this function called ProtSet (see the code below), and
> ProtSet tail-called mps_lib_assert_fail.  In my build, it only does that
> when mprotect fails, which is something that happened in another bug
> report.
> 
> I assume this is a Linux kernel?  My assumption is that errno is ENOMEM
> (you should be able to figure this out from the core dump, but I don't
> know how glibc hides errno these days):

In GDB, type "ptype errno" and/or "whatis errno", and go from there.
(I believe it expands to a function or a TLS reference?)